<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("ALTER TABLE `ufutx_s2_shop_spu` CHANGE `platform` `platform` VARCHAR(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '1,2,3,11,12' COMMENT '展示平台,h5=1,app=2,mp=3, 商城类型,批发商=11,个人=12';");
        DB::statement("ALTER TABLE `ufutx_s2_shop_spu` CHANGE `status` `status` VARCHAR(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '1,2,3,11,12' COMMENT '平台上架,h5=1,app=2,mp=3, 商城上架,批发商=11,个人=12 ';");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
